Package org.jfree.layouting.renderer.process

## Class TableRowHeightStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateVisualProcessStep
  - - org.jfree.layouting.renderer.process.TableRowHeightStep

-     public class TableRowHeightStep
      extends IterateVisualProcessStep

  Creation-Date: 10.10.2006, 14:10:08
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TableRowHeightStep.TableInfoStructure` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableRowHeightStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compute​(LogicalPageBox box)` |
    `protected void` | `finishBlockLevelBox​(RenderBox box)` |
    `protected void` | `finishSection​(TableSectionRenderBox section)` |
    `protected void` | `processBlockLevelNode​(RenderNode node)` |
    `protected void` | `processInlineLevelNode​(RenderNode node)` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `protected boolean` | `startBlockLevelBox​(RenderBox box)` |
    `protected boolean` | `startInlineLevelBox​(RenderBox box)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

      `finishInlineLevelBox, processBlockLevelChild, processBoxChilds, processFlow, processInlineLevelChild, processOtherLevelChild, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableRowHeightStep

          public TableRowHeightStep​()

  - ### Method Detail

    - #### compute

          public void compute​(LogicalPageBox box)

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

      Specified by:
        `processParagraphChilds` in class `IterateVisualProcessStep`

    - #### startInlineLevelBox

          protected boolean startInlineLevelBox​(RenderBox box)

      Overrides:
        `startInlineLevelBox` in class `IterateVisualProcessStep`

    - #### processInlineLevelNode

          protected void processInlineLevelNode​(RenderNode node)

      Overrides:
        `processInlineLevelNode` in class `IterateVisualProcessStep`

    - #### processBlockLevelNode

          protected void processBlockLevelNode​(RenderNode node)

      Overrides:
        `processBlockLevelNode` in class `IterateVisualProcessStep`

    - #### startBlockLevelBox

          protected boolean startBlockLevelBox​(RenderBox box)

      Overrides:
        `startBlockLevelBox` in class `IterateVisualProcessStep`

    - #### finishBlockLevelBox

          protected void finishBlockLevelBox​(RenderBox box)

      Overrides:
        `finishBlockLevelBox` in class `IterateVisualProcessStep`

    - #### finishSection

          protected void finishSection​(TableSectionRenderBox section)